#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("BAI2_18.INP");
	ofstream f2("BAI2_18.OUT");
	int n;
	f1>>n;
	int a[n];
	for (int i=0;i<n;i++)
	{
		f1>>a[i];
	}
	sort (a, a+n);
	int dem=0;
	for (int i=0;i<n;i++)
	{
		for (int j=i+1;j<n;j++)
		{
			for (int k=j+1;k<n;k++)
			{
				if (a[i]+a[j]>a[k])
				{
					dem++;
				}
			}
		}
	}
	f2<<dem;
	f1.close();
	f2.close();
}
